#include <iostream>

using namespace std;

int main()
{
    int K, N, i=0, mesto, broj, b[20001], c[20001];
    cin >> N >> K;
    int a[20001];
    for (i = 0; i < N; i++) {
        cin >> a[i];
    }
    /*Naci kartu koja se nalazi posle karte k*/
    for (i = 0; i < N; i++) {
        if (a[i] == K) {
            mesto = i;
        }
    }
    if (N-1==mesto){
        broj=N;
    }
    else if(mesto=0){
        broj=a[N];
    }
    /*izmešati*/
    else{
        for (i=0; i<N; i++){
            if (a[i]!=K){
                b[i]=a[i];
            }
            else{
                break;
            }
        }
        for (i=mesto+1; i<N; i++){
            c[i]=a[i];
        }
        for(i=0; i<N; i++){
            broj=c[i]+b[i];
        }
        
    }
    
    
    cout << broj;
}